Bug 85832 - webkit crashes on debug builds when running IETC flexbox-ordinal-group-001.htm
: webkit crashes on debug builds when running IETC flexbox-ordinal-group-001.htm
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Tony Chang
http://samples.msdn.microsoft.com/iet...
:
Depends on:
Blocks: 76198
  Show dependency treegraph
 
Reported: 2012-05-07 15:03 PDT by Dave Tharp
Modified: 2012-06-06 14:42 PDT (History)
9 users (show)

See Also:


Attachments
Patch (7.47 KB, patch)
2012-06-06 12:26 PDT, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Tharp 2012-05-07 15:03:38 PDT
When running the above test (it's from Microsoft's ietestcenter, and has been integrated into webkit at LayoutTests/ietestcenter/css3/flexbox/flexbox-ordinal-group-001.htm) with a debug build, the following assertion is hit:

STDERR: ASSERTION FAILED: !HashTranslator::equal(KeyTraits::emptyValue(), key)
STDERR: ../../../../Source/WTF/wtf/HashTable.h(495) : void WTF::HashTable<Key, Value, Extractor, HashFunctions, Traits, KeyTraits>::checkKey(const T&) [with HashTranslator = WTF::IdentityHashTranslator<WTF::IntHash<unsigned int> >, T = unsigned int, Key = unsigned int, Value = unsigned int, Extractor = WTF::IdentityExtractor, HashFunctions = WTF::IntHash<unsigned int>, Traits = WTF::HashTraits<unsigned int>, KeyTraits = WTF::HashTraits<unsigned int>]
Comment 1 Uday Kiran 2012-05-09 02:45:04 PDT
According to specification, http://www.w3.org/TR/2009/WD-css3-flexbox-20090723/#propdef-box-ordinal-group mentioned in testcase, this property is a natural number value with an initial value is 1. 
Is this a valid testcase with box-ordinal-group having value of zero?
Comment 2 Jessie Berlin 2012-05-24 18:37:10 PDT
Skipped this test on Windows in r118457
Comment 3 Tony Chang 2012-06-06 12:26:54 PDT
Created attachment 146083 [details]
Patch
Comment 4 WebKit Review Bot 2012-06-06 14:42:05 PDT
Comment on attachment 146083 [details]
Patch

Clearing flags on attachment: 146083

Committed r119620: <http://trac.webkit.org/changeset/119620>
Comment 5 WebKit Review Bot 2012-06-06 14:42:11 PDT
All reviewed patches have been landed.  Closing bug.